+++
title = 'Lightning Has No Thunder'
date = 2024-06-13T20:30:56-05:00
+++

# Bitcoin Lightning

Bitcoin Lightning is a L2 network of (a network built on top of) Bitcoin that tries to solve some of the issues associated with Bitcoin[^1]. It is very popular with Bitcoiners and Nostr users, being a part of the Nostr protocol and it's culture [^2]. Why? That's a good question as it's pretty subpar compared to other cryptocurrencies. This will be explored in the article

# The Many Flaws of Bitcoin

We all know Bitcoin. It's the original and still to this day most popular cryptocurrency. It's a monumental piece of software and one of the most pivotal projects of this age, providing the foundations for most modern cryptocurrencies[^3]. Despite this, it's just a stepping stone of a greater movement, which some people haven't moved on from.

## Mining

Bitcoin uses the sha256 hashing algorithm for it's Proof of Work algorithm to validate transactions[^4]. sha256's algorithm was easily adapted to ASICs (Application Specific Integrated Circuits), which in this case are devices which their sole purpose is to efficiently mine and do so better than any computer[^5]. These devices are very expensive, resulting in the centralization of mining power as these mining operations require investment from the wealthy. If one entity were to gain more than 50% of the mining power, the entire network could be compromised. This is known as the feared 51% attack[^6].

## Transaction Fees

Due to Bitcoin's design, only around 7 transactions can be verified per second[^7]. Due to this, transaction times are very slow and fees are very high[^8] during times of heavy traffic. This obviously makes Bitcoin much less usable especially for slow transfers.

## No Privacy

Bitcoin's blockchain exposes all addresses involved in transactions[^9]. There is nothing stopping exchanges from tying these addresses to people. It may even be easier to trace Bitcoin that regular bank transfers, as law enforcement does not need a warrant to inspect the Blockchain.

# Introducing Lightning

Lighting, as describe earlier, is a payment system built on top of the Bitcoin blockchain[^1]. Transactions are made in "channels", where funds are transferred until they are closed. When the channels are closed, the net transfer of funds is transferred as a single regular Bitcoin transaction. This results in lower transaction fees due to less transactions and faster speeds, as the balance is based on the channel's transactions instead of mined transactions. To secure transactions without the blockchain, "watchtowers" are employed. These watchtowers moderate trasanctions between people in the network to resolve disputes.

# Lightning Has No Thunder

Lightning tries, and fails to solve some of Bitcoins issues, introducing some new ones in the process.

## Mining and Privacy

These issues are not addressed by the Lightning network. The channels provide some secrecy with the transactions, but all parties involved and all net transfers are still available through the Bitcoin network.

## Fees

At the end of the day, Lightning is still built on top of Bitcoin. As a result, somebody still has to pay the fees. This happens when the channel closes, and the funds are sent on the base layer of the Bitcoin network. Everything that happens in between does not get recorded on the blockchain and as a result has less security[^10].

## New Issues

### Centralization

Due to the complexity of Lightning's architecture and fees with regards to channels, providers help users make transactions on the Lightning network. A user will likely just create a single channel to the provider, which then provides channels to other nodes to form the full Lightning network[^11]. In this case the user is putting their trust into one or few entities, as it costs more to form more channels (its the cost of a regular Bitcoin transaction).

In addition the watchtower is a single entity, who can be more easily compromised into favoring one side than an entire cryptocurrency network can. 

In addition to the centralization of the network itself, there is also the centralization of control of funds. Almost all Lightning users use a custodial wallets (which are also Lightning providers), as Nostr Zaps require LNURL endpoints for payment which are extremely difficult to self host[^12]. In these wallets, the wallet developers control the wallet private keys and thus the funds of all their users. 

These wallets, such as the "Wallet of Satoshi"[^13] instill a deep sense of irony, as the this is the antithesis of Satoshi Nakamoto's original vision of a peer-to-peer decentralized currency system.

Now you know why Lightning has no thunder.

[^1]: [Lightning Network Website](https://lightning.network/)
[^2]: [What are Zaps?](https://nostr.how/en/zaps)
[^3]: [Bitcoin Whitepaper](https://bitcoin.org/bitcoin.pdf)
[^4]: [Bitcoin Proof of Work]()
[^5]: [Bitcoin.it ASIC Wiki Page](https://en.bitcoin.it/wiki/ASIC)
[^6]: [51% Attack and Double Spending](https://en.wikipedia.org/wiki/Double-spending)
[^7]: [Bitcoind Scalability Problem](https://en.wikipedia.org/wiki/Bitcoin_scalability_problem)
[^8]: [Bitcoin Transaction Fee Chart](https://ycharts.com/indicators/bitcoin_average_transaction_fee)
[^9]: [Bitcoin Blockchain Explorer](https://bitcoinexplorer.org/)
[^10]: [Bitcoin Lightning Whitepaper](https://lightning.network/lightning-network-paper.pdf)
[^11]: [Lightning Service Provider](https://docs.lightning.engineering/the-lightning-network/liquidity/lightning-service-provider)
[^12]: [LNURL](https://thebitcoinmanual.com/articles/what-is-ln-url-and-how-does-it-work/)
[^13]: [Wallet of Satoshi](https://www.walletofsatoshi.com)
